TelepathyQt4: ConnectionInterfaceAliasingInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# ConnectionInterfaceAliasingInterface Class Reference
[Connection proxies]

`#include <TelepathyQt4/Connection>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply< uint > GetAliasFlags ()
- QDBusPendingReply< QStringList > RequestAliases (const Tp::UIntList &contacts)
- QDBusPendingReply< Tp::AliasMap > GetAliases (const Tp::UIntList &contacts)
- QDBusPendingReply SetAliases (const Tp::AliasMap &aliases)

## Signals

- void AliasesChanged (const Tp::AliasPairList &aliases)

## Public Member Functions

- ConnectionInterfaceAliasingInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceAliasingInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceAliasingInterface (Tp::DBusProxy *proxy)
- ConnectionInterfaceAliasingInterface (const Tp::Client::ConnectionInterface &mainInterface)
- ConnectionInterfaceAliasingInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Aliasing."

## Constructor & Destructor Documentation

ConnectionInterfaceAliasingInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ConnectionInterfaceAliasingInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ConnectionInterfaceAliasingInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ConnectionInterfaceAliasingInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ConnectionInterfaceAliasingInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceAliasingInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

ConnectionInterfaceAliasingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) | `[explicit]`

Creates a ConnectionInterfaceAliasingInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

ConnectionInterfaceAliasingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a ConnectionInterfaceAliasingInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Aliasing", which this class represents.

Returns:
  The D-Bus interface name.

QDBusPendingReply<uint> GetAliasFlags | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetAliasFlags" on the remote object.

Return a bitwise OR of flags detailing the behaviour of aliases on this connection.

Returns:

An integer with a bitwise OR of flags from ConnectionAliasFlags

QDBusPendingReply<QStringList> RequestAliases | ( | const Tp::UIntList & | contacts | ) | `[inline, slot]`

Begins a call to the D-Bus method "RequestAliases" on the remote object.

Request the value of several contacts' aliases at once.

Parameters:

  | contacts | An array of handles representing contacts

Returns:

A list of aliases in the same order as the contact handles

QDBusPendingReply<Tp::AliasMap> GetAliases | ( | const Tp::UIntList & | contacts | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetAliases" on the remote object.

Request the value of several contacts' aliases at once. This SHOULD only return cached aliases, falling back on the contact identifier (i.e. the string corresponding to the handle) if none is present. Also if there was no cached alias, a request SHOULD be started of which the result is later signalled by AliasesChanged.

Parameters:

  | contacts | An array of handles representing contacts

Returns:

A dictionary mapping contact handles to aliases

QDBusPendingReply SetAliases | ( | const Tp::AliasMap & | aliases | ) | `[inline, slot]`

Begins a call to the D-Bus method "SetAliases" on the remote object.

Request that the alias of the given contact be changed. Success will be indicated by emitting an AliasesChanged signal. On connections where the CONNECTION_ALIAS_FLAG_USER_SET flag is not set, this method will only ever succeed if the contact is the user's own handle (as returned by Connection.GetSelfHandle).

Parameters:

  | aliases | A dictionary mapping integer handles of contacts to strings of the new alias to set.

void AliasesChanged | ( | const Tp::AliasPairList & | aliases | ) | `[signal]`

Represents the signal "AliasesChanged" on the remote object.

Signal emitted when a contact's alias (or that of the user) is changed.

Parameters:

  | aliases | An array containing structs of: the handle representing the contact the new alias

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`